package com.common.im.bean;

import android.text.TextUtils;

import com.mcxtzhang.indexlib.IndexBar.bean.BaseIndexPinyinBean;

import java.io.Serializable;

/**
 * 创建日期：2022/6/11 16:44
 *
 * @author Ryan
 * 类说明：
 */
public class GroupMemberBean  extends BaseIndexPinyinBean implements Serializable {
    /*
    	"avatar": "",
			"createTime": "",
			"groupId": "",
			"id": 0,
			"isAdmin": true,
			"nickname": "",
			"roleType": "",
			"updateTime": "",
			"userId": 0
     */

    private String avatar;
    private String createTime;
    private String groupId;
    private long id;
    private boolean isAdmin;
    private String nickname;
    private String roleType;
    private String updateTime;
    private String userId;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public boolean isAdmin() {
        return isAdmin;
    }

    public void setAdmin(boolean admin) {
        isAdmin = admin;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String getTarget() {
        return TextUtils.isEmpty(nickname) ? "#" : nickname;
    }
}
